Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026480
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2014-05-06 18:312015-02-11 10:57
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6ec5a7961a60
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026480: Quantity should be rounded when creating a work effort from a work requirement operation set as create standards

DescriptionQuantity should be rounded when creating a work effort from a work requirement operation set as create standards
Steps To ReproduceChange the qtyEdition, qtyRelation and qtyExcel to show 4 decimals in Format.xml file
As group admin role:
   Create an Activity
   Create a Process Plan and Version
   When creating an Operation, select the previously created Activity and select the Create Standards checkbox
   Add a line in the I/O Products tab with Quantity 1866.9
   Create a Work Requirement for the previously created Process Plan with Quantity = 9.3095 and process it
   Create Work Effort and validate it
Check through database the movementqty on the M_PRODUCTIONLINE table has 5 decimals (17379.90555)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0022988 newdmiguelez Qty proposed is not taking into account the Standard Precision of its Unit of Measure 
related to defect 0028914 closedAtulOpenbravo Should be an option to use the UOM Standard precision for production or not 

-  Notes
(0067813)
AtulOpenbravo (developer)
2014-06-06 19:17

Test Plan
- Change the qtyEdition, qtyRelation and qtyExcel to show 4 decimals in Format.xml file
- Login as Group Admin role:
- Create an Activity
- Create a Process Plan and Version.
- When creating an Operation, select the previously created Activity and selecting the Create Standards checkbox is optional.
- Add a line in the I/O Products tab with Quantity 1866.9
- Create a Work Requirement for the previously created Process Plan with Quantity = 9.3095 and process it.
- Create Work Effort from either Work Requirement or manually using Work Effort Window.
- If create standards button is checked then under Production Run >> Product tab checks records. If using manual Work Effort, select WR Phase and set completed quantity and click on Create Standards button and Production Run >> Product Tab records. Quantity will be displayed with the standard precision of uom used in the same line.
** It can be verified in the database M_ProductionLine Table.
(0067834)
hgbot (developer)
2014-06-10 08:27

Repository: erp/devel/pi
Changeset: 6ec5a7961a6015619024062222846fc67fcbf45f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jun 06 22:49:47 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6ec5a7961a6015619024062222846fc67fcbf45f [^]

Fixes Issue 26480:Rounding of movementQty in WorkEffort-ProductionRun-Product
Rounding is done using StdPrecision of Production Line Uom.

---
M src-db/database/model/functions/MA_PRODUCTIONRUN_STANDARD.xml
---
(0067837)
rafaroda (developer)
2014-06-10 08:41

Product created in Work Effort from Work Requirement is now properly rounded with UOM standard precision: see images in https://drive.google.com/folderview?id=0B649lz4ZYJcHSmkyaHBUZWQ1OHM&usp=sharing [^]
(0067892)
hudsonbot (developer)
2014-06-10 22:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-06 18:31 ngarcia New Issue
2014-05-06 18:31 ngarcia Assigned To => jonalegriaesarte
2014-05-06 18:31 ngarcia Modules => Core
2014-05-06 18:31 ngarcia Triggers an Emergency Pack => No
2014-05-06 18:32 ngarcia Issue Monitored: networkb
2014-05-07 21:14 johnfandl Issue Monitored: johnfandl
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-06-05 13:42 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-06-05 13:46 AtulOpenbravo Status new => scheduled
2014-06-05 13:46 AtulOpenbravo fix_in_branch => pi
2014-06-06 19:17 AtulOpenbravo Note Added: 0067813
2014-06-10 08:26 AtulOpenbravo Review Assigned To => rafaroda
2014-06-10 08:26 AtulOpenbravo fix_in_branch pi =>
2014-06-10 08:27 hgbot Checkin
2014-06-10 08:27 hgbot Note Added: 0067834
2014-06-10 08:27 hgbot Status scheduled => resolved
2014-06-10 08:27 hgbot Resolution open => fixed
2014-06-10 08:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6ec5a7961a6015619024062222846fc67fcbf45f [^]
2014-06-10 08:41 rafaroda Note Added: 0067837
2014-06-10 08:41 rafaroda Status resolved => closed
2014-06-10 22:24 hudsonbot Checkin
2014-06-10 22:24 hudsonbot Note Added: 0067892
2015-02-11 10:57 VictorVillar Relationship added related to 0022988
2015-02-11 12:40 VictorVillar Relationship added related to 0028914


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker